linkPciAssessmentProject
Replace the set of projects linked to an assessment
linkPciAssessmentProject(
input: LinkPCIAssessmentProjectInput!
): LinkPCIAssessmentProjectPayload
Arguments
linkPciAssessmentProject.input ● LinkPCIAssessmentProjectInput! non-null input
Parameters for LinkPCIAssessmentProject
Type
LinkPCIAssessmentProjectPayload object
Autogenerated return type of LinkPCIAssessmentProject.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateLinkPciAssessmentProject($input: LinkPCIAssessmentProjectInput!) {\n linkPciAssessmentProject(input: $input) { assessment { id title status } clientMutationId errors }\n}","variables":{"input":{"assessmentId":"<assessment_id>","projectIds":["example-id"]}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateLinkPciAssessmentProject($input: LinkPCIAssessmentProjectInput!) {\n linkPciAssessmentProject(input: $input) { assessment { id title status } clientMutationId errors }\n}",
variables: {
"input": {
"assessmentId": "<assessment_id>",
"projectIds": [
"example-id"
]
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateLinkPciAssessmentProject($input: LinkPCIAssessmentProjectInput!) {\n linkPciAssessmentProject(input: $input) { assessment { id title status } clientMutationId errors }\n}",
'variables': json.loads("{\"input\":{\"assessmentId\":\"<assessment_id>\",\"projectIds\":[\"example-id\"]}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute